restinio::router::impl::simple_matcher_t Class Reference

A simple method_matcher that compares just one user-specified value. More...

`#include <method_matcher.hpp>`

Inheritance diagram for restinio::router::impl::simple_matcher_t:

## Public Member Functions

| simple_matcher_t (http_method_id_t method)
RESTINIO_NODISCARD bool | match (const http_method_id_t &method) const noexcept override
| Is the specified method can be applied to a route? More...
Public Member Functions inherited from restinio::router::method_matcher_t
| method_matcher_t (const method_matcher_t &)=default
method_matcher_t & | operator= (const method_matcher_t &)=default
| method_matcher_t (method_matcher_t &&)=default
method_matcher_t & | operator= (method_matcher_t &&)=default
| method_matcher_t ()=default
virtual | ~method_matcher_t ()=default
virtual RESTINIO_NODISCARD bool | match (const http_method_id_t &method) const noexcept=0
| Is the specified method can be applied to a route? More...

## Private Attributes

http_method_id_t | m_method

## Detailed Description

A simple method_matcher that compares just one user-specified value.

The allowed value is specified in the constructor and can't be changed after that.

Since
  v.0.6.6

Definition at line 110 of file method_matcher.hpp.

## Constructor & Destructor Documentation

## simple_matcher_t()

restinio::router::impl::simple_matcher_t::simple_matcher_t | ( | http_method_id_t | method | ) |

inline

Definition at line 115 of file method_matcher.hpp.

## Member Function Documentation

## match()

RESTINIO_NODISCARD bool restinio::router::impl::simple_matcher_t::match | ( | const http_method_id_t & | method | ) | const

inlineoverridevirtualnoexcept

Is the specified method can be applied to a route?

Return values

  true | if method can be applied to a route.
  false | if method can't be applied to a route.

Implements restinio::router::method_matcher_t.

Definition at line 121 of file method_matcher.hpp.

## Member Data Documentation

## m_method

http_method_id_t restinio::router::impl::simple_matcher_t::m_method

private

Definition at line 112 of file method_matcher.hpp.

The documentation for this class was generated from the following file:

- restinio/router/method_matcher.hpp